## Struct output_fun

boost::log::output_fun — The function object that outputs its second operand to the first one.

## Synopsis

    // In header: <boost/log/utility/functional/bind_output.hpp>

    struct output_fun {
      // types
      typedef void result_type;

      // public member functions
      template<typename StreamT, typename T>
        void operator()(StreamT &, T const &) const;
    };

## Description

### `output_fun` public member functions

1.     template<typename StreamT, typename T>
         void operator()(StreamT & strm, T const & val) const;